[0.17.8] Auto-Updater fails if one package fails download (effects other versions)

Post your bugs and problems so we can fix them.
Post Reply
nyghtwulf
Burner Inserter
Burner Inserter
Posts: 6
Joined: Sun Jun 12, 2016 8:18 pm
Contact:

[0.17.8] Auto-Updater fails if one package fails download (effects other versions)

Post by nyghtwulf » Fri May 17, 2019 3:10 am

Starting to get back into Factorio, so needing to run updates. I started on 0.16.51 and let the game find and start pulling the updates. It completed downloading of all packages except the 0.17.39 to 0.17.40 package, which got a 404. The auto-updater then refused to apply any updates. I ran the update attempt a second time, which it first cleared the contents of its 'temp' directory (located in the games base directory, looks like it just stores the update .zip files there before applying them)

This second run also failed. This time, I moved the contents of the temp directory aside and used the command-line option --apply-update to apply the first package (core-win64-0.16.51-0.17.8-update.zip). The update applied without problem, game started, prompted for update. The download process began, and again the Updater failed at the .17.40 update (this time it didn't even show me the 404 error code, it only displayed "Error:" perhaps a separate bug with the new GUI?).

Its clear the .17.40 update package doesn't exist on the update server, which is no big deal as there's various reasons why that could happen. However, I would think the game could apply all preceding updates that it managed to download just fine?

Since the packages are incremental, missing the very last one shouldn't effect being able to apply the earlier packages. I suspect its not so much a bug and more of an extra code path that needs added so the updater can verify/check what it did manage to get in a multi-package update and apply what it did manage to download successfully.

Post Reply

Return to “Bug Reports”

Who is online

Users browsing this forum: Bilka, wobbycarly